package com.jeethink.receive.vo;

import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.flow.domain.FlowRecord;
import com.jeethink.receive.domain.ArchivesFile;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ArchivesVO extends ArchivesMaster {

    private Boolean isSubmit;
    private Boolean skipApproval;
    private List<FlowRecord> flowRecords;
    private Map<String, ArchivesFile> fileInfo;


    public Boolean getIsSubmit() {
        return isSubmit;
    }

    public void setIsSubmit(Boolean submit) {
        isSubmit = submit;
    }

    public Boolean getSkipApproval() {
        return skipApproval;
    }

    public void setSkipApproval(Boolean skipApproval) {
        this.skipApproval = skipApproval;
    }

    public List<FlowRecord> getFlowRecords() {
        return flowRecords;
    }

    public void setFlowRecords(List<FlowRecord> flowRecords) {
        this.flowRecords = flowRecords;
    }

    public Map<String, ArchivesFile> getFileInfo() {
        return fileInfo;
    }

    public void setFileInfo(Map<String, ArchivesFile> fileInfo) {
        this.fileInfo = fileInfo;
    }
}
